using System;
using System.Drawing;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;

namespace TOC_Hyperlink
{
    /// <summary>
    /// Summary description for SectionReport2.
    /// </summary>
    public partial class rptTOC : GrapeCity.ActiveReports.SectionReport
    {

        public rptTOC()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();
        }
        public GrapeCity.ActiveReports.Document.Section.BookmarksCollection bm;
        private int counter;

        private void SectionReport2_DataInitialize(object sender, EventArgs e)
        {
            this.Fields.Add("bm");
        }

        private void SectionReport2_FetchData(object sender, FetchEventArgs eArgs)
        {
            eArgs.EOF = false;
            if (counter == this.bm.Count)
            {
                eArgs.EOF = true;
                return;
            }
            this.Fields["bm"].Value = this.bm[counter].Label;
            counter += 1;
        }

        private void Detail_BeforePrint(object sender, EventArgs e)
        {
            this.TextBox1.HyperLink = this.TextBox1.Text;
        }
    }
}
